/*
 * Copyright 2020 Adobe. All rights reserved.
 * This file is licensed to you under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License. You may obtain a copy
 * of the License at http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under
 * the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS
 * OF ANY KIND, either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */

@media (width >=900px) {
  :root {
    /* body sizes */
    --body-font-size-m: 18px;
    --body-font-size-s: 16px;
    --body-font-size-xs: 14px;

    /* heading sizes */
    --heading-font-size-xxl: 45px;
    --heading-font-size-xl: 36px;
    --heading-font-size-l: 28px;
    --heading-font-size-m: 22px;
    --heading-font-size-s: 20px;
    --heading-font-size-xs: 18px;
  }
}

*,
*::before,
*::after {
  box-sizing: border-box;
}

body {
  display: none;
  margin: 0;
  background-color: var(--color-body-background);
  color: var(--color-neutral-550);
  font-family: var(--font-family-heading);
  font-size: var(--font-size-body-default);
  font-style: normal;
  font-weight: var(--font-weight-book);
  line-height: var(--line-height-body-default);
}

body.appear {
  display: block;
}

header .header,
footer .footer {
  visibility: hidden;
}

header .header[data-block-status="loaded"],
footer .footer[data-block-status="loaded"] {
  visibility: visible;
}

p,
dl,
ol,
ul,
pre,
blockquote {
  margin-top: 0.8em;
  margin-bottom: 0.25em;
}

code,
pre {
  font-size: var(--font-size-body-small);
}

pre {
  padding: 16px;
  border-radius: 8px;
  background-color: var(--color-neutral-100);
  overflow-x: auto;
  white-space: pre;
}


input,
textarea,
select {
  font: inherit;
}

/* links */
a:any-link {
  color: var(--link-dark-text);
  text-decoration: none;
  overflow-wrap: break-word;
}

a:hover {
  color: var(--link-footer-primary-hover);
  text-decoration: underline;
}

main img {
  max-width: 100%;
  width: auto;
  height: auto;
}

.icon {
  display: inline-block;
  height: 24px;
  width: 24px;
}

.icon img {
  height: 100%;
  width: 100%;
}

/* text styles */

p {
  font-weight: var(--font-weight-medium);
  font-family: var(--font-family-body);
  font-size: var(--font-size-body-default);
  line-height: var(--line-height-body-default);
  color: var(--color-neutral-550)
}

h1,
h2,
h3,
h4,
h5,
h6 {
  color: var(--color-neutral-500);
  font-weight: var(--font-weight-book);
  font-family: var(--font-family-heading);
  font-style: normal;
}

h1 {
  font-size: var(--font-size-heading-jumbo);
  line-height: var(--line-height-heading-jumbo);
}

h2 {
  font-size: var(--font-size-heading-h1);
  line-height: var(--line-height-heading-h1);
}

h3 {
  font-size: var(--font-size-heading-h2);
  line-height: var(--line-height-heading-h2);
}

h4 {
  font-size: var(--font-size-heading-h3);
  line-height: var(--line-height-heading-h3);
}

h5 {
  font-size: var(--font-size-heading-h4);
  line-height: var(--line-height-heading-h4);
}

h6 {
  font-size: var(--font-size-heading-h5);
  line-height: var(--line-height-heading-h5);
}


.jumboheading {
  h1,
  h2,
  h3,
  h4 {
    font-size: var(--font-size-heading-jumbo);
    line-height: var(--line-height-heading-jumbo);
  }
}

.headingregular {
  h1,
  h2,
  h3,
  h4 {
    font-weight: var(--font-weight-regular);
  }
}

.headingbold {
  h1,
  h2,
  h3,
  h4 {
    font-weight: var(--font-weight-bold);
  }
}

.bodysmall p {
  font-size: var(--font-size-body-small);
  line-height: var(--line-height-body-small);
}

.bodycaption p {
  font-size: var(--font-size-body-caption);
  line-height: var(--line-height-body-caption);
}

.bodysmallregular p,
.bodycaptionregular p,
.bodyregular p {
  font-weight: var(--font-weight-regular);
}

/* sections */

main {
  background-color: var(--color-white);
  padding-inline: 15px;
}

.error main a.rex-button {
  padding-left: 0.9375rem;
  padding-right: 0.9375rem;
  min-height: 40px;
  margin-bottom: 10px;
  margin-top: 0;
  margin-inline: 4px;
  font-family: var(--font-family-whitney);
  padding-block: 8px;
  width: 100%;
  white-space: normal;
  max-height: max-content;
  max-width: 100%;
}

main.error main div.section:nth-child(1) .default-content-wrapper p {
  margin-bottom: 30px;
  font-family: var(--font-family-whitney);
  font-weight: 325
}

main.error main div.section:nth-child(1) .default-content-wrapper h1 {
  font-size: 1.25rem;
  line-height: 1.25;
  font-weight: 700;
  color: var(--color-sage-base);
  margin-block: 0;
  text-align: left;
}

  main .section.gray-banner-container .gray-banner-wrapper,
  main .hero-wrapper {
    margin-inline: -15px;
    width: calc(100% + 30px);
  }

@media (width >=1024px) {
  main {
    max-width: 1366px;
    position: relative;
    padding-right: calc(min(1366px, 100vw) * 0.25);
    margin-inline: auto;
  }

  main:has(.in-page-dropdown-container) {
    padding-top: 0;
  }

  main .section {
    padding-inline: 36px 24px;
  }

  .error .col-33 {
    flex: 0 1 calc(33.3% - 24px * 3 / 4);
  }

  .error main .section {
    padding-inline: 0;
  }

  main.error main div.section:nth-child(1) .default-content-wrapper h1 {
    font-size: 1.75rem;
    line-height: 1.25;
    font-weight: 700;
    color: var(--color-sage-base);
    margin-block: 0;
    text-align: left;
  }

  .error {
    padding-right: calc(min(1366px, 100vw) * 0.25);
  }

  .error main {
    padding-inline: 0 !important;
    padding-top: 0;
    max-width: 1366px;
    margin-inline: auto;
    justify-content: space-between;
  }

  body {
    position: relative;
  }
}

/* section background variants */
main .section.background-none {
  background: none;
  border-radius: 0;
  margin-inline: var(--spacing-20);
}

main .section.bg-color-background {
  background-color: var(--color-background-color);
  border-radius: var(--radius-24);
  margin-inline: var(--spacing-20);
}

main .section.bg-color-gray {
  background-color: var(--color-gray-color);
  border-radius: var(--radius-24);
  margin-inline: var(--spacing-20);
}


main .section.margin-none {
  margin-inline: var(--spacing-20);
}

main .section.margin-small {
  margin-inline: var(--spacing-40);
}


@media (width >= 1366px) {
   main .section.gray-banner-container .gray-banner-wrapper,
  main .hero-wrapper {
    margin-inline: -55px -50px;
    width: calc(100% + 105px);
  }
}


main:has(> .section[class*="col-"]) {
  display: flex;
  column-gap: var(--spacing-24);
  flex-wrap: wrap;
  max-width: 1366px;
  margin-inline: auto;
  justify-content: space-between;

}

main:has(> .section[class*="col-"]) .section:not([class*="col-"]) {
  width: 100%;
}


main>.section[class*="col-"] {
  margin-inline: 0 !important;
}

.col-62 {
  flex: 0 1 calc(62.4% - var(--spacing-24) * 1/2);
}

.col-50 {
  flex: 0 1 calc(50% - var(--spacing-24) / 2);
}

.col-37 {
  flex: 0 1 calc(37.6% - var(--spacing-24) * 1/2);
}

.col-33 {
  flex: 0 1 calc(33.3% - var(--spacing-24) * 3/4);
}


@media (width < 768px) {
  main>.section[class*="col-"] {
    flex: 0 0 100%;
  }

  main.error main {
    padding-inline: 0;
  }

   body.index .section:first-child .spacer-wrapper .spacer::after {
    content: '';
    display: block;
    border-bottom: 3px solid #fdcf00;
    position: relative;
    top: 70px;
    width: 160px;
    margin: 0 auto;
  }

  body.index .hero-heading{
    font-size: 21px;
    line-height: 25px;
    padding-inline: 19px;
    font-weight: 700;
    color: #3d3d3d;
    min-height: 50px;
  }

  body.index .hero-body p{
    padding-inline: 20px;
    font-size: 19px;
    line-height: 21px;
    font-weight: 400;
  }

  body.index .hero .hero-disclaimer{
    top:37%;
  }

}


/* Reset for editor containers */
[data-aue-resource] {
  margin-bottom: 1rem;
}

sub,
sup {
    line-height: 0;
    font-size: 70%;
    position: relative;
}

sup {
    top: -0.05em;
}

sub {
    top: 0.05em;
}

